<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class ExportListSettings extends ExportBasis
{
  public function __construct()
  {
    parent::__construct();
  }

  
  public function initiate()
  {
    ExportBasis::initiate();
    $this->dboperations = new DBWorkSightsSettings();
  }

  public function export()
  {
    
    
    
    
    $this->clearResult();
    $this->exportresults = $this->exportsets;
  }

  
  public function getVarValue($varname)
  {
    switch ($this->getVarCategory($varname)) {
      default: return ExportBasis::getVarValue($varname);
      case 'ls_': return $this->expCalculation->getVarValue4ListSettings($this->getVarName($varname), $this->exportresults[$this->actualset]);
    }
  }

  
}